Bug 1690941 - Some multipart uploads with SSE-C are corrupted
Summary: Some multipart uploads with SSE-C are corrupted
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Ceph Storage
Classification: Red Hat
Component: RGW
Version: 3.2
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: z2
: 3.2
Assignee: Casey Bodley
QA Contact: vidushi
Aron Gunn
URL:
Whiteboard:
Depends On:
Blocks: 1629656
TreeView+ depends on / blocked
 
Reported: 2019-03-20 14:04 UTC by Casey Bodley
Modified: 2019-04-30 15:57 UTC (History)
12 users (show)

Fixed In Version: RHEL: ceph-12.2.8-102.el7cp Ubuntu: ceph_12.2.8-87redhat1
Doc Type: Bug Fix
Doc Text:
.Decrypting multipart uploads was corrupting data When doing multipart uploads with SSE-C, the part size was not a multiple of the 4k encryption block size. While the multipart uploads were encrypted correctly, the decryption process failed to account for the part boundaries and was returning corrupted data. With this release, the decryption process correctly handles the part boundaries when using SSE-C. As a result, all encrypted multipart uploads can be successfully decrypted.
Clone Of:
Environment:
Last Closed: 2019-04-30 15:57:08 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:0911 None None None 2019-04-30 15:57:23 UTC
Github ceph ceph pull 27130 None None None 2019-03-22 20:30:44 UTC
Ceph Project Bug Tracker 38700 None None None 2019-03-20 14:04:38 UTC

Description Casey Bodley 2019-03-20 14:04:38 UTC
Description of problem:

Some multipart uploads with SSE-C appear to corrupt data. They upload successfully, but return different data when downloaded.


Version-Release number of selected component (if applicable):

Reported against upstream ceph version 12.2.10


How reproducible:

Reproduces consistently with multipart part size=5242881 (5M + 1 byte)


Steps to Reproduce: (see tracker issue)

Actual results:

Checksum of downloaded file does not match original file uploaded.

Expected results:

Checksum of downloaded file matches original file uploaded.

Additional info:

Comment 9 errata-xmlrpc 2019-04-30 15:57:08 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:0911


Note You need to log in before you can comment on or make changes to this bug.